expo-asset relies on Constants.manifest and throws yellowbox warnings in bare projects

Summary

Using expo-asset 8.2.2 in a bare project causes a yellowbox error:

Constants.manifest is null because the embedded app.config could not be read. Ensure that you have installed the expo-constants build scripts if you need to read from Constants.manifest.

Please patch expo-asset to fallback to Updates and not throw this yellowbox on a bare project

Managed or bare workflow? If you have ios/ or android/ directories in your project, the answer is bare!

bare

What platform(s) does this occur on?

iOS

SDK Version (managed workflow only)

No response

Environment

Expo CLI 4.1.6 environment info:
    System:
      OS: macOS 11.1
      Shell: 3.1.0 - /usr/local/bin/fish
    Binaries:
      Node: 14.4.0 - ~/.nvm/versions/node/v14.4.0/bin/node
      Yarn: 1.22.4 - ~/.yarn/bin/yarn
      npm: 6.14.11 - ~/.nvm/versions/node/v14.4.0/bin/npm
      Watchman: 4.9.0 - /usr/local/bin/watchman
    Managers:
      CocoaPods: 1.10.1 - /Users/admin/.rvm/gems/ruby-2.5.1/bin/pod
    SDKs:
      iOS SDK:
        Platforms: iOS 14.4, DriverKit 20.2, macOS 11.1, tvOS 14.3, watchOS 7.2
      Android SDK:
        API Levels: 26, 27, 28, 29, 30
        Build Tools: 27.0.3, 28.0.0, 28.0.3, 29.0.2, 29.0.3, 30.0.2
        System Images: android-26 | Google APIs Intel x86 Atom, android-28 | Google Play Intel x86 Atom, android-29 | Google APIs Intel x86 Atom, android-29 | Google Play Intel x86 Atom, android-30 | Google Play Intel x86 Atom
    IDEs:
      Android Studio: 4.1 AI-201.8743.12.41.6953283
      Xcode: 12.4/12D4e - /usr/bin/xcodebuild
    npmPackages:
      expo: ^40.0.1 => 40.0.1
      react: 16.13.1 => 16.13.1
      react-dom: 16.13.1 => 16.13.1
      react-native: 0.63.4 => 0.63.4
      react-native-web: ~0.13.12 => 0.13.18
      react-navigation: ^4 => 4.4.3
    npmGlobalPackages:
      expo-cli: 4.1.6
    Expo Workflow: bare

Reproducible demo or steps to reproduce from a blank project

N/A this is a known issue

1 possible answer(s) on “expo-asset relies on Constants.manifest and throws yellowbox warnings in bare projects